#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-5cexjuoT3j65AyOW5eIvUT
key: jose-0.7.0.0-5cexjuoT3j65AyOW5eIvUT
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: 5a3624ff279459799f2012be023a7872
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-5cexjuoT3j65AyOW5eIvUT
depends:
    base-4.10.1.0 attoparsec-0.13.2.2-3yh63UNuZKU6kridcBRdzv
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    concise-0.1.0.1-2WHEp7xpQOQ6otrUVHTCQG containers-0.5.10.2
    cryptonite-0.24-CpwkoOed0xp5yvbaGvna7I
    lens-4.15.4-6m0DRudBlbcIMz3JMQWt18
    memory-0.14.16-JXoliazMy4LBu5xxL66kmR
    monad-time-0.3.1.0-7HVH4vvpYhA8KnatzHBKCJ
    mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q template-haskell-2.12.0.0
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    aeson-1.2.4.0-Li9ssAeTb9P7oUJPRvxFf8
    unordered-containers-0.2.9.0-AIQ8bV884oMFcq0To2pA1G
    bytestring-0.10.8.2 text-1.2.3.0-912fnkqHcZz4dFvcXKwtDz
    time-1.8.0.2 network-uri-2.6.1.0-6DCcjXT6KQAGJ7ruji2glJ
    QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9
    quickcheck-instances-0.3.18-cRl53szMQUAgietiOJuAT
    x509-1.7.3-3tgCk0lsWzuLXmFaQu6mnj
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             attoparsec-0.13.2.2-3yh63UNuZKU6kridcBRdzv=7ed301843f5485a15f31657e67db1a15
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fd5db0dc9688093c1ac2c3223371478e
             concise-0.1.0.1-2WHEp7xpQOQ6otrUVHTCQG=2f0566a7290eaa55ff355aca052d2609
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             cryptonite-0.24-CpwkoOed0xp5yvbaGvna7I=96c7223eb24ebab9c9677bd383f9a0fa
             lens-4.15.4-6m0DRudBlbcIMz3JMQWt18=711291bbead8ac7054491886b474b5a2
             memory-0.14.16-JXoliazMy4LBu5xxL66kmR=73bd87255495d2259f63e7f9009bea01
             monad-time-0.3.1.0-7HVH4vvpYhA8KnatzHBKCJ=49deb231202f2b228100ad7b18a6a009
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=9d788b97813db77c2d48570ade6e04a9
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=0f8a4b2bc8ee8ce3a5dab66f0eb14e7c
             template-haskell-2.12.0.0=24d98a36b9e0dbd4d443161d478c05b2
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=604c7b7c109a34b58d71795df287548a
             aeson-1.2.4.0-Li9ssAeTb9P7oUJPRvxFf8=b6a260f9adf71cfb6ea790a11437cd4d
             unordered-containers-0.2.9.0-AIQ8bV884oMFcq0To2pA1G=5c8877e146af6c27c44eb74d4cb22e80
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             text-1.2.3.0-912fnkqHcZz4dFvcXKwtDz=29872508833c96394f0471371217bab0
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             network-uri-2.6.1.0-6DCcjXT6KQAGJ7ruji2glJ=17ff77631878cfceba90438df04f39d6
             QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9=77baeaa97e72dac9529ccf150f178180
             quickcheck-instances-0.3.18-cRl53szMQUAgietiOJuAT=984c364a079837c267ce10c3a3d61fca
             x509-1.7.3-3tgCk0lsWzuLXmFaQu6mnj=92ef8f92e6dfa46d92fcddd84254b062
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=137c9db50bf637e10c6e6dd9e685ce59
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

